searchNodes=[{"ref":"Currency.html","title":"Currency","type":"module","doc":"Currency represents a monetary value, stored in its smallest unit possible in a given currency, i.e., cents. See Currency.Ecto for a custom type implementation that can be used in a schema. In order to use the ~M sigil, import the module: import Currency Example iex&gt; Currency.new(&quot;25.00 USD&quot;) ~M&quot;25.00 USD&quot; iex&gt; ~M&quot;25.00 USD&quot;.currency &quot;USD&quot; iex&gt; ~M&quot;25.01 USD&quot;.units #Decimal&lt;2501&gt; iex&gt; Currency.add(~M&quot;10 USD&quot;, ~M&quot;20 USD&quot;) ~M&quot;30.00 USD&quot; iex&gt; Kernel.to_string(~M&quot;-10.50 USD&quot;) &quot;-10.50 USD&quot; iex&gt; ~M&quot;12.348 USD&quot; ~M&quot;12.35 USD&quot; # For cases which have more than 2 decimal places of precision iex&gt; ~M&quot;1500.23 CLF&quot; ~M&quot;1500.2300 CLF&quot; # For cases which have 0 decimals of precision iex&gt; ~M&quot;500.1 XOF&quot; ~M&quot;500 XOF&quot;"},{"ref":"Currency.html#add/2","title":"Currency.add/2","type":"function","doc":""},{"ref":"Currency.html#new/1","title":"Currency.new/1","type":"function","doc":""},{"ref":"Currency.html#pad_or_round/2","title":"Currency.pad_or_round/2","type":"function","doc":""},{"ref":"Currency.html#pad_zeros/2","title":"Currency.pad_zeros/2","type":"function","doc":""},{"ref":"Currency.html#parse/1","title":"Currency.parse/1","type":"function","doc":""},{"ref":"Currency.html#sigil_M/2","title":"Currency.sigil_M/2","type":"function","doc":""},{"ref":"Currency.html#subtract/2","title":"Currency.subtract/2","type":"function","doc":""},{"ref":"Currency.html#to_string/1","title":"Currency.to_string/1","type":"function","doc":""},{"ref":"Currency.Ecto.html","title":"Currency.Ecto","type":"module","doc":"Provides a custom type for use in an Ecto schema to use Currency as a field type. Usage: Schema: defmodule Thing do use Ecto.Schema schema &quot;things&quot; do field :name, :string field :cost, Currency.Ecto end end Migration: def change do execute &quot;CREATE TYPE currency AS ( units integer, precision integer, currency varchar ); &quot; create table(:things) do add :name, :string add :cost, :currency end end"},{"ref":"Currency.Ecto.html#cast/1","title":"Currency.Ecto.cast/1","type":"function","doc":""},{"ref":"Currency.Ecto.html#dump/1","title":"Currency.Ecto.dump/1","type":"function","doc":""},{"ref":"Currency.Ecto.html#load/1","title":"Currency.Ecto.load/1","type":"function","doc":""},{"ref":"Currency.Ecto.html#type/0","title":"Currency.Ecto.type/0","type":"function","doc":""}]